%global gitversion 8f677eaea

Name:          libXcursor
Summary:       Cursor management library
Version:       1.2.2
Release:       1
License:       MIT
URL:           https://xorg.freedesktop.org/
Source0:       https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.gz
Source1:       index.theme

Requires:      libX11
BuildRequires: xorg-x11-proto-devel libX11-devel
BuildRequires: autoconf automake libtool xorg-x11-util-macros
BuildRequires: libXfixes-devel libXrender-devel pkgconfig

%description
libXcursor is a library designed to help locate and load cursors.
Cursors can be loaded from files or memory. A library of common cursors
exists which map to the standard X cursor names.Cursors can exist in
several sizes and the library automatically picks the best size.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
libXcursor development package.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1
iconv --from=ISO-8859-2 --to=UTF-8 COPYING > COPYING.new && \
touch -r COPYING COPYING.new && mv COPYING.new COPYING

%build
autoreconf -vif
%configure
%make_build

%install
%make_install

install -d $RPM_BUILD_ROOT%{_datadir}/icons/default
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/icons/default/index.theme

%delete_la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/*.so.*
%{_datadir}/icons/*/*.theme

%files devel
%defattr(-,root,root)
%{_includedir}/X11/*/*.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files help
%defattr(-,root,root)
%doc README.md
%{_mandir}/man3/Xcursor*.3*

%changelog
* Thu Mar 14 2024 liweigang <liweiganga@uniontech.com> - 1.2.2-1
- update to version 1.2.2

* Mon Aug 1 2022 tianlijing <tianlijing@kylinos.cn> - 1.2.1-1
- update to 1.2.1

* Tue Jul 28 2020 songnannan <songnannan2@huawei.com> - 1.2.0-1
- update to 1.2.0

* Tue Sep 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.15-5
- Package init

